=== debian/changelog ===
libacpi (0.2-7) unstable; urgency=medium

  * Fixed FTBFS (Closes: #957422)
  * Removed Section field of libacpi0 in debian/control
  * Removed -Wl,--as-needed from debian/rules

 -- Seunghun Han <kkamagui@gmail.com>  Mon, 04 May 2020 01:42:12 +0900

libacpi (0.2-6) unstable; urgency=medium

  * New maintainer (Closes: #842559)
  * Changed debhelper to 12
  * Added CFLAGS to remove snprintf warning
  * Fixed debian/copyright warning
  * Fixed buffer size miscalculation bug
  * Enabled hardening flags

 -- Seunghun Han <kkamagui@gmail.com>  Mon, 30 Mar 2020 23:46:40 +0900

libacpi (0.2-5) unstable; urgency=medium

  * QA upload.
  * Change owner to Debian QA Group, see bug #842559. (Closes: #817875)
  * Changed Standards-Version from 3.9.7 to 4.3.0.
  * Fix FTCBFS (Closes: #865833)
  * Dropped obsolete Testsuite field from d/control.
  * Switched d/rules to dh.
  * Fixed typos in manual page.  Thank you lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Jan 2019 17:59:14 +0000

libacpi (0.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change source format to 3.0 (quilt).
  * Adjusted library to handle new file names in
    /sys/ (Closes: #479096, #484264).
  * Added simple autopkgtest to the package.  Patch from
    Vibhav Pant and Ubuntu (Closes: #701683).
  * Changed Standards-Version from 3.7.3 to 3.9.7.
  * Switched from debhelper 5 to 9.
  * Added 'arm64' to list of build architectures (Closes: #791969).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 09:37:08 +0100

libacpi (0.2-4) unstable; urgency=low

  * Fix interface incompatibilities introduced by last patch (Closes: #464276).

 -- Nico Golde <nion@debian.org>  Wed, 06 Feb 2008 11:31:13 +0100

libacpi (0.2-3) unstable; urgency=low

  * Temporary patch libacpi to make battery and ac status work with
    kernels >= 2.6.24. There will be a fixed upstream version
    which uses sysfs and procfs as fallback soon. Many thanks
    to Joseph Spillner for the patch! (Closes: #463986, #463982).

 -- Nico Golde <nion@debian.org>  Mon, 04 Feb 2008 22:35:35 +0100

libacpi (0.2-2) unstable; urgency=low

  * Bumped Standards Version, no changes needed.
  * Switched from Homepage tag to Homepage control field.

 -- Nico Golde <nion@debian.org>  Wed, 02 Jan 2008 14:42:01 +0100

libacpi (0.2-1) unstable; urgency=low

  * New upstream release.
    Fixed double header inclusion (Closes: #433399).

 -- Nico Golde <nion@debian.org>  Sun, 29 Jul 2007 14:13:59 +0200

libacpi (0.1-2) unstable; urgency=low

  * Just build this package for amd64,i386 and ia64 since
    the other archs have on ACPI support (Closes: #432432).
  * Switched from Source-Version to binary:Version.
  * Do not suppress make clean output any longer.

 -- Nico Golde <nion@debian.org>  Tue, 10 Jul 2007 18:18:08 +0200

libacpi (0.1-1) unstable; urgency=low

  * Initial release (Closes: #429573).

 -- Nico Golde <nion@debian.org>  Mon, 18 Jun 2007 22:11:10 +0200
