=== debian/control ===
Source: libacpi
Priority: optional
Maintainer: Seunghun Han <kkamagui@gmail.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Section: libs
Homepage: http://www.ngolde.de/libacpi.html
Rules-Requires-Root: no

Package: libacpi-dev
Section: libdevel
Architecture: i386 ia64 amd64 arm64
Depends: ${misc:Depends}, libacpi0 (= ${binary:Version})
Description: development files for libacpi
 libacpi is a general purpose shared library for programs gathering
 ACPI data on Linux. It implements thermal zones, battery information,
 fan information and AC states.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libacpi.

Package: libacpi0
Architecture: i386 ia64 amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: general purpose library for ACPI
 libacpi is a general purpose shared library for programs gathering
 ACPI data on Linux. It implements thermal zones, battery information,
 fan information and AC states.
 .
 This package contains the shared library for libacpi.
