=== debian/tests/control ===
Tests: build
Depends: libacpi-dev, build-essential
